* [gentoo-commits] repo/gentoo:master commit in: dev-libs/libisofs/files/, dev-libs/libisofs/
@ 2025-03-28 17:09 Daniel Pielmeier
0 siblings, 0 replies; only message in thread
From: Daniel Pielmeier @ 2025-03-28 17:09 UTC (permalink / raw
To: gentoo-commits
commit: 6fb75ab70b0f9327f2b4745d3e336cc1a4fe48cc
Author: Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 28 17:05:47 2025 +0000
Commit: Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Fri Mar 28 17:08:49 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6fb75ab7
dev-libs/libisofs: Fix build with slbitool and add upstream maintainer
Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>
.../libisofs/files/libisofs-1.5.6_slibtool.patch | 26 +++++++++
dev-libs/libisofs/libisofs-1.5.6_p1-r2.ebuild | 63 ++++++++++++++++++++++
dev-libs/libisofs/metadata.xml | 5 ++
3 files changed, 94 insertions(+)
diff --git a/dev-libs/libisofs/files/libisofs-1.5.6_slibtool.patch b/dev-libs/libisofs/files/libisofs-1.5.6_slibtool.patch
new file mode 100644
index 000000000000..3146e3db6ad0
--- /dev/null
+++ b/dev-libs/libisofs/files/libisofs-1.5.6_slibtool.patch
@@ -0,0 +1,26 @@
+From 30fcd2d84ba3dd569f5c55dfeeca3bccf2b58e65 Mon Sep 17 00:00:00 2001
+From: Thomas Schmitt <scdbackup@gmx.net>
+Date: Mon, 24 Mar 2025 08:51:23 +0100
+Subject: [PATCH] Added to configure.ac explicit checks for stdint.h,
+ inttypes.h, stdlib.h because slibtool does not put them into ./configure by
+ default
+
+---
+ configure.ac | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index 1de58d6..7e86463 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -96,7 +96,9 @@ AC_SUBST(LIBTOOL_DEPS)
+
+ AC_PROG_INSTALL
+
+-AC_CHECK_HEADERS()
++dnl GNU libtool checks them by default/unconditionally, but slibtool does not.
++dnl So accept the ugly double check and -DHAVE_*_H arguments with GNU libtool.
++AC_CHECK_HEADERS(stdint.h inttypes.h stdlib.h)
+
+ dnl Use GNU extensions if available
+ AC_DEFINE(_GNU_SOURCE, 1)
diff --git a/dev-libs/libisofs/libisofs-1.5.6_p1-r2.ebuild b/dev-libs/libisofs/libisofs-1.5.6_p1-r2.ebuild
new file mode 100644
index 000000000000..f5c575d5e492
--- /dev/null
+++ b/dev-libs/libisofs/libisofs-1.5.6_p1-r2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PF=${P/_p1/}
+MY_P=${MY_PF}.pl01
+
+inherit autotools
+
+DESCRIPTION="Open-source library for reading, mastering and writing optical discs"
+HOMEPAGE="https://dev.lovelyhq.com/libburnia/web/wiki/Libisofs"
+SRC_URI="https://files.libburnia-project.org/releases/${MY_P}.tar.gz"
+
+S="${WORKDIR}/${MY_PF}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+IUSE="acl debug static-libs verbose-debug xattr zlib"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+RDEPEND="
+ acl? ( virtual/acl )
+ xattr? ( sys-apps/attr )
+ zlib? ( sys-libs/zlib )
+"
+DEPEND="
+ ${RDEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.5.6_slibtool.patch
+)
+
+src_prepare() {
+ default
+
+ # Ancient libtool version in 1.5.6 at least (debian's 2.4.2-1.11)
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable debug) \
+ $(use_enable verbose-debug) \
+ $(use_enable acl libacl) \
+ $(use_enable xattr) \
+ $(use_enable zlib) \
+ --disable-libjte \
+ --disable-ldconfig-at-install
+}
+
+src_install() {
+ default
+
+ dodoc Roadmap doc/{*.txt,Tutorial}
+
+ find "${D}" -name '*.la' -delete || die
+}
diff --git a/dev-libs/libisofs/metadata.xml b/dev-libs/libisofs/metadata.xml
index 7064074ef2ba..f2ee5c394aa1 100644
--- a/dev-libs/libisofs/metadata.xml
+++ b/dev-libs/libisofs/metadata.xml
@@ -5,6 +5,11 @@
<email>billie@gentoo.org</email>
<name>Daniel Pielmeier</name>
</maintainer>
+<maintainer type="person" proxied="yes">
+<email>scdbackup@gmx.net</email>
+<name>Thomas Schmitt</name>
+<description>Upstream - please CC on bugs that concern upstream</description>
+</maintainer>
<use>
<flag name="verbose-debug">Enable verbose debug messages</flag>
</use>
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2025-03-28 17:09 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-28 17:09 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libisofs/files/, dev-libs/libisofs/ Daniel Pielmeier
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox